XFTimeoutManager Class Reference
XF Common Port Classes

Default implementation of the XF TimeoutManager. More...

`#include <timeoutmanager.h>`

Inheritance diagram for XFTimeoutManager:
Collaboration diagram for XFTimeoutManager:

## Public Member Functions

void | start (std::function< void(uint32_t)> startTimeoutManagerTimer=nullptr) override
| See interface::XFTimeoutManager. More...
void | scheduleTimeout (int32_t timeoutId, int32_t interval, interface::XFBehavior *pBehavior) override
| See interface::XFTimeoutManager. More...
void | unscheduleTimeout (int32_t timeoutId, interface::XFBehavior *pBehavior) override
| See interface::XFTimeoutManager. More...
void | tick () override
| See interface::XFTimeoutManager. More...
Public Member Functions inherited from interface::XFTimeoutManager
virtual void | initialize (int32_t tickInterval)
virtual int32_t | getTickInterval () const
| Returns tick interval in milliseconds.

## Protected Types

typedef std::list< XFTimeout * > | TimeoutList
| Type used for the _timeouts property.

## Protected Member Functions

void | addTimeout (XFTimeout *pNewTimeout) override
| Adds the timeout to timeouts_. More...
void | returnTimeout (XFTimeout *pTimeout)
| Returns timeout back to behavioral class. More...

## Protected Attributes

TimeoutList | timeouts_
| Container holding timeouts to manage.
interface::XFMutex * | pMutex_
| Mutex to protect access to TimeoutList.
Protected Attributes inherited from interface::XFTimeoutManager
int32_t | tickInterval_
| Interval in milliseconds the TimeoutManager is decrementing the timeouts.

## Friends

interface::XFTimeoutManager * | interface::XFTimeoutManager::getInstance ()

## Additional Inherited Members

Static Public Member Functions inherited from interface::XFTimeoutManager
static XFTimeoutManager * | getInstance ()
| Returns a pointer to the single instance of TimeoutManager.

## Detailed Description

Default implementation of the XF TimeoutManager.

## Constructor & Destructor Documentation

## ~XFTimeoutManager()

XFTimeoutManager::~XFTimeoutManager | ( |  | ) |

overridevirtual

Reimplemented from interface::XFTimeoutManager.

## Member Function Documentation

## addTimeout()

void XFTimeoutManager::addTimeout | ( | XFTimeout * | pNewTimeout | ) |

overrideprotectedvirtual

Adds the timeout to timeouts_.

Implements interface::XFTimeoutManager.

## returnTimeout()

void XFTimeoutManager::returnTimeout | ( | XFTimeout * | pTimeout | ) |

protected

Returns timeout back to behavioral class.

Returns the timeout back to the queue of the dispatcher executing the behavioral instance.

## scheduleTimeout()

void XFTimeoutManager::scheduleTimeout | ( | int32_t | timeoutId,
|  | int32_t | interval,
|  | interface::XFBehavior * | pBehavior
| ) |  |

overridevirtual

See interface::XFTimeoutManager.

Implements interface::XFTimeoutManager.

## start()

void XFTimeoutManager::start | ( | std::function< void(uint32_t)> | startTimeoutManagerTimer = `nullptr` | ) |

overridevirtual

See interface::XFTimeoutManager.

Implements interface::XFTimeoutManager.

## tick()

void XFTimeoutManager::tick | ( |  | ) |

overridevirtual

See interface::XFTimeoutManager.

Implements interface::XFTimeoutManager.

## unscheduleTimeout()

void XFTimeoutManager::unscheduleTimeout | ( | int32_t | timeoutId,
|  | interface::XFBehavior * | pBehavior
| ) |  |

overridevirtual

See interface::XFTimeoutManager.

Implements interface::XFTimeoutManager.

The documentation for this class was generated from the following file:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/port/common/timeoutmanager.h